function draw_mcsection(np, p, D, isDouble, yoffset)
% function draw_mcsection(np, p, D, isDouble, yoffset)


% decide height and width for cross-section
w = np*p;
hmult = [2 3.5];
h = hmult(isDouble+1)*D/2;
wsin = h/15;

% draw background
th = 2*pi*((-12:12)'/24);
x = wsin*sin(th);
y = h*[th; flip(th); th(1)]/pi + yoffset;
x = [w/2+x; -w/2+flip(x); w/2+x(1)];
fill(x, y, [1 1 1]*0.55)
hold on

if isDouble,
    dy = [1, -1]*0.75;
else
    dy = 0;
end

for i = 1:np
    xc = (i-(np+1)/2)*p;
    for j = 1:(isDouble+1),
        yc = yoffset + dy(j)*D;
        disk_hc(xc, yc, D, j)
    end
end

axis equal


function disk_hc(x, y, D, hc)
r = D/2;
th = 2*pi*((0:30)'/30);
x = x + r*cos(th);
y = y + r*sin(th);
cols = [0.65 0.85]' * [1 1 1];

hf = fill(x, y, cols(hc,:));

hc = plot(x, y, 'color', 'k'); %[1 1 1]*0.2);
set(hc, 'linewidth',1.5)

