function Re_guess = match_wp2(Re_guess, ext_LD, panel_LDN, fp, nbends, W_TOT)
% wp_err = match_wp(Re, ext_LD, panel_LDN, fp, W_TOT);
% Called by fzero to find the necessary Re for given Wp

% see also opt_dh2 for laminar only solution of dFR/dDh=0

ii = 0;
% external system is a single tube:
if isempty(ext_LD), Re_fac = 1; else Re_fac = max(1, prod(panel_LDN(2:3))/ext_LD(2)); end

while 1
    [mdot, DP, W_pumpTP, Ah] = get_mdot(Re_guess, ext_LD, panel_LDN, fp, nbends);
    % remember W_pumpTP is total power!  
    Re_max = Re_guess * Re_fac;  % Re in external tube may be higher than in the panel
    if Re_max < 2000, power = 1/2; else power = 1/3; end
    Re_guess = Re_guess *  (W_TOT/W_pumpTP(1)).^power;
    ii = ii+1;
    if abs(W_TOT/W_pumpTP(1)-1)<0.0001
        %disp(ii)
        break
    elseif ii>20
        error('Failed to converge after 20 iterations')
    end
end


 
 