function [x, Th12T, ThT_single, mdot, phibar, mdot_s] = plate_double_pass(R, Dh, L, Wp, S, Po, NuH, fp);
% Sept 2015 version
c = fp.c;
k = fp.k;
mu = fp.mu;
rho = fp.rho;

x = (0:50)' * (L/50);
xmL = x - L;

DTh = S*Dh ./ (2*pi*k*NuH*R); % = T - phi

mdot = sqrt(pi*R*Wp/(Po*mu)) * rho/4 * Dh.^1.5;

g = pi*NuH*k*R/(mdot*c*Dh);

theta = g * (-0.5*x.^2 + L*x)+L;
theta1 = (theta + xmL) * S/(2*mdot*c);
theta2 = (theta - xmL) * S/(2*mdot*c);
T = (theta1 + theta2)/2 + DTh;

Th12T = [theta1, theta2, T];
phibar = S * L * (g*L/3 + 1)/ (2*mdot*c);

Ax = (R./Dh) * (pi * Dh.^2 / 4);
Re = (mdot/Ax) * Dh/mu
%-------------------------------------------------------
% now get single pass equivalent:
mdot_s = sqrt(2) * mdot;
% DTh same as above for same TOTAL number of passages

DTf = S*L/(mdot_s * c);
theta3 = DTf * x/L;
ThT_single = [theta3, theta3+DTh];
