function plot_a_pde(Dh, SUL, cond, hi, smul, tt_ts, hmax)
% function plot_a_pde(Dh, S, cond, hi, smul, tt_ts, hmax)
% plot_a_pde(0.005, [1000 3.8], 222, 400, 0.2, 2)


shape.ab =  Dh*[1 1];
shape.centre = [0 0];
shape.type = 'rect';
show = 2;

for i = 1:length(smul)
    ts = smul(i)*Dh;
    tt = ts * tt_ts;
    shape.pdelta = Dh + 2*[ts tt];
    r(i) = Dh/shape.pdelta(1);
    for j = 1:length(cond)
        for k = 1:length(hi)
            shape.c = cond(j);  % metal cond
            conditions.S = SUL(1);  % W/m^2
            conditions.UL = SUL(2);
            conditions.hi = hi(k);
            conditions.Ta = -40;
            conditions.Tf = 0
            kDh(i,j,k) = Dh*cond(j);
            if nargin<7
                [Fdashi(i,j,k),Fdasho(i,j,k)] = fdash_pde2(shape, conditions, show);
            else
                [Fdashi(i,j,k),Fdasho(i,j,k)] = fdash_pde2(shape, conditions, show, hmax); %0.4*t
            end
            displ2('Dh=', Dh, ', tt_ts = ', tt_ts, ', cond=', cond, ', hi=', hi, ', smul=', smul, ', Fdash=',[Fdashi Fdasho])
            %maxFdash = (1/UL)./(1/UL + t(i)/cond(j) + shape.pdelta(1)/(4*Dh*hi(k)));
            sdh = 1./(SUL(2)*Fdasho(i,j,k)) - (1/SUL(2) + tt/cond(j)); % outer value more accurate
            hmult(i,j,k) = shape.pdelta(1)/(sdh*Dh*hi(k));
            displ2('hmult = ', hmult)
        end
    end
end
title({displ2(['Dh=', Dh, 'cond=', cond, 'hi=', hi, 'smul=', smul]),...
    displ2('Fdash=',[Fdashi Fdasho], 'hmult = ', hmult,'tsUk, tsU/k =', ts*SUL(2)*[cond(j), 1./cond(j)])})
