R = 2/pi; % equiv to 50/50 square
N = (50:10:1000)'; D = R ./ N;
S = 750;
Po = 14.227;  % or 16 for a circular hole, 14.227 for square
NuH = 3.612;  % square hole
NuH1 = NuH; NuH2 = NuH;
L = 1;

% ckmurho = [2600 0.129 0.0011 717];  % Paratherm MR at 120 deg C
%fp = fluid_properties('Paratherm-MR', [], 120);
fp = fluid_properties('tyfocor-ls', [], 70);
set(gcf, 'defaultaxesfontsize', 12, 'defaulttextfontsize', 12,...
    'defaultaxeslinewidth', 1, 'defaultlinelinewidth', 2,...
    'paperunits', 'inches',...
    'paperposition',[0 0 6.4 4], 'papersize', [6.4 4])

hold off

% Wp = 0.01
[DTfm, DTh, V, mdot, Re, DP] = plate_deltat_e14(R, D, L, 0.01, S, Po, NuH, fp);
I = Re<=2000;
plot(D(I), DTh(I)+DTfm(I), '-k')
hold on

% Wp = 0.1
[DTfm, DTh, V, mdot, Re, DP] = plate_deltat_e14(R, D, L, 0.1, S, Po, NuH, fp);
I = Re<=2000;
plot(D(I), DTh(I)+DTfm(I), '--k')

% Wp = 1
[DTfm, DTh, V, mdot, Re, DP] = plate_deltat_e14(R, D, L, 1, S, Po, NuH, fp);
I = Re<=2000;
plot(D(I), DTh(I)+DTfm(I), '-.k')

% add DT_fluid_mean and DT_h lines:
set(plot(D(I), DTfm(I), ':b', D, DTh, '-.m'), 'color', [1 1 1]*0.5)
IsFrontPlate=0;  % microchannels
plot_dhminima


axis([0 0.01 0 5])
xlabel('\itD_h \rm  (m)'); 
ylabel('\Delta\itT  \rm(K)')
%legend({'\DeltaT (W_p = 0.01 W/m^2)';'\DeltaT (W_p = 0.1 W/m^2)';'\DeltaT (W_p = 1 W/m^2)';'\DeltaT\{overline} _f (W_p = 1 W/m^2)'; '\DeltaT_{h}'; 'Optimum'})
% use ~ to insert space:
legend({'$$\Delta T~(W_p = 0.01 W/m^2)$$'
    '$$\Delta T~(W_p = 0.1 W/m^2)$$'
    '$$\Delta T~(W_p = 1 W/m^2)$$'
   % '$$\Delta \overline{T} _f (W_p = 1 W/m^2)$$'
    '$$\overline{\theta}~ (W_p = 1 W/m^2)$$'
    '$$\Delta T_{h}$$'
    'Optimum'}, 'interpreter','latex')
grid
%title('Paratherm MR at 120\circC, S=750W/m^2, L = 1m')
%title('Tyfocor-LS at 70\circC, S=750W/m^2, L = 1m')

%title('$$\textrm{Paratherm MR at 120}^{\circ}\textrm{C, }R={2\over{\pi}}$$',...
%    'interp','latex')
