% plot_dh_minima
% minimum points on the delta_T versus Dh graph

%R = 2/pi; % equiv to 50/50 square passages
%S = 750;
%Nucf = 3.6;
% (use values from plot_deltat_e14)

Wp = logspace(-3, 1, 10);
%-------------------------------------


Dh25 = (3* fp.k *NuH1*L/(fp.rho * fp.c)) .* sqrt(Po * pi* fp.mu *R ./ (2*Wp));
Dh = Dh25 .^ 0.4;

% get optimum line for vector Wp
[DTfm, DTh, V, mdot, Re, DP] = plate_deltat_e14(R, Dh, L, Wp, S, Po, NuH1, fp);
I = Re <=2000;
if ~IsFrontPlate,  % channels
    %h = [h; 
    plot(Dh(I), DTh(I)+DTfm(I), '--', 'linewidth', 2, 'color', [1 1 1]*0.5) %];
else
    % parallel plates, b = Dh/2
    % single sided:
    h = [h; 
      plot(Dh(I)/2, DTh(I)+DTfm(I), '--', 'linewidth', 2, 'color', [1 1 1]*0.5)];
    
    Dh25 = (3* fp.k * NuH2*L/(fp.rho * fp.c)) .* sqrt(Po * pi* fp.mu *R ./ (2*Wp));
    Dh = Dh25 .^ 0.4;
    
    %for i = 1:length(Wp),
    [DTfm, DTh, V, mdot, Re, DP] = plate_deltat_e14(R, Dh, L, Wp, S, Po, NuH2, fp); % when using both
    I = Re <=2000;
    plot(Dh(I)/2, DTh(I)+DTfm(I), ':', 'linewidth', 2)
end

Wp = [0.01 0.1 1];
Dh25 = (3* fp.k *NuH1*L/(fp.rho * fp.c)) .* sqrt(Po * pi* fp.mu *R ./ (2*Wp));
Dhopt = Dh25 .^ 0.4