R = 2/pi; % equiv to 50/50 square
% N = (50:10:1000)'; D = R ./ N;
Dh = 0.0016;
S = 750;
Po = 14.227;  % or 16 for a circular hole, 14.227 for square
NuH = 3.612;  % square hole
L = 1;
Wp = 10;  % 10 or 0.1
disp('Change line above for lower flow rate fig 8(b)')

% ckmurho = [2600 0.129 0.0011 717];  % Paratherm MR at 120 deg C
%fp = fluid_properties('Paratherm-MR', [], 120);
fp = fluid_properties('tyfocor-ls', [], 70);

set(gcf, 'defaultaxesfontsize', 12, 'defaulttextfontsize', 12,...
    'defaultaxeslinewidth', 1, 'defaultlinelinewidth', 2.5,...
    'paperunits', 'inches',...
    'paperposition',[0 0 6.4 4], 'papersize', [6.4 4])

[x, Th12T, ThT_single, mdot, phibar, mdot_s] = plate_double_pass(R, Dh, L, Wp, S, Po, NuH, fp);

hold off
%h = plot(rand(11,2), 'vis', 'off');
h = plot(x, Th12T(:,3), '--k', x, Th12T(:,1), '-k',...
    x, Th12T(:,2), '-.k',...
    x, ThT_single(:,2), ':', x, ThT_single(:,1), '-.');
set(h(4:5), 'color', [1 1 1] * 0.5, 'linewidth', 2)


hleg1 = legend({'T (double)',...
    '\theta_1 (double)', '\theta_2 (double)',...
    'T   (single)', '\theta  (single)'});

% legax1 = copyobj([hleg1 gca], gcf); % make a permanent copy
% set(legax1(2), 'vis', 'off')
% set(get(legax1(2),'children'), 'vis', 'off')
% 
%legend(h([2 6 7]), {'Single pass :', '\theta', 'T'})
hold off
ylabel('Temperature above fluid inlet (K)')
xlabel('Distance along plate (m)')
title(['W_p = ' num2str(Wp), 'W/m^2,  m_{double} = ', sprintf('%0.2g', mdot) ' kg/s'])

 