function [xq, yq, sq] = rect_ipoints(wh, centre, nh)
% [xq, yq, sq] = rect_ipoints(wh, centre, nh)
% Generate column vectors of coordinates around a square onto which the PDE
% solution will be interpolated.
% RWM

if nargin<3, nh  = 20; end
f = (-nh:nh)'/nh;
nf = 2*nh+1;
nfm1 = 2*nh;

xc = wh(1)/2; yc = wh(2)/2;
dx = xc/nh;
dy = yc/nh;

xq = [-xc*ones(nf-1,1)  % up left side
      xc*f  % across top
      xc*ones(nf-2,1)  % down right side
      -xc*f ]+centre(1);  % back along bottom, finishing at start point
yq = [yc*f  % up left side
      yc*ones(nf-2,1)  % across top
      -yc*f  % down right
      -yc*ones(nf-1,1) ]+centre(2);  % back along bottom
  
%   s = [(0:nfm1)'*dy
%       wh(2)+(1:nfm1)'*dx
%       sum(wh)+(1:nfm1)'*dy
%       sum(wh([1 2 2]))+(1:nfm1)'*dx];
      
  dsq = abs(diff(xq)) + abs(diff(yq));
  sq = [0; cumsum(dsq)];