% draw 5 cross-sections for table 2 in paper.
% Each is defined by an optimum hydraulic diameter (as multiple of Dhopt1)
% and R (as multiple of R1)
Dhopt1 = 1.5;
R1 = 0.2;
R = R1 * [1 1 2 0.5 0.5]';
Dhopt = Dhopt1 * [1 1.743 1.15 0.87 1.51]';
p = Dhopt ./ R;  % pitch of flow (hot) holes
isDouble = [0 1 0 0 1]';
np = [2 2 4 1 1]';  % number of pitches to display

%------------------------------------------------
hold off
for i = 1:5,
    
   draw_mcsection(np(i), p(i), Dhopt(i), isDouble(i), 30-10*i) 
    
end
hold off
%axis([-9 9 -25 25])
axis([-14 14 -24 22])

axis equal
set(gca,'vis','off')
set(gca,'pos', [0.01 0.01 0.98 0.98])
